List a case's data sources

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /case/{caseId}/data-sources

Lists the data sources enabled on the case (for example iMessage or Gmail), as ids of the master data sources.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • caseId string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data array[object] Required
      Hide data attributes Show data attributes object
      • createdAt string(date-time) Required
      • updatedAt string(date-time) Required
      • id string Required
      • case string Required
      • dataSource string Required

        Id of the master data source

    • statusCode number Required
    • timestamp string(date-time) Required
GET /case/{caseId}/data-sources
curl \
 --request GET 'http://api.example.com/case/{caseId}/data-sources' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "organization: string"
Response examples (200)
{
  "data": [
    {
      "createdAt": "2026-01-15T14:30:00.000Z",
      "updatedAt": "2026-01-15T14:30:00.000Z",
      "id": "507f1f77bcf86cd799439011",
      "case": "507f1f77bcf86cd799439011",
      "dataSource": "507f1f77bcf86cd799439012"
    }
  ],
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}